Bug 32178 - gcc crashes with internal error while compiling libm.c from asmutils 0.14
gcc crashes with internal error while compiling libm.c from asmutils 0.14
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
: 32128 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-18 20:06 EST by Brian Bruns
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 13:14:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of "gcc -Wall -O1 -m386 -g -c -o libm.o libm.c -save-temps -v" command (32.33 KB, text/plain)
2001-03-19 13:14 EST, Brian Bruns
no flags Details

  None (edit)
Description Brian Bruns 2001-03-18 20:06:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win98; U)


While trying to comple the latest asmutils 0.14, using gcc 2.96-78, compiler bombs out with internal error on libm.c.

Reproducible: Always
Steps to Reproduce:
1.Unpack the asmutils-0.14 package
2. cd into directory
3. Type make
	

Actual Results:  gcc -Wall -O1 -m386 -g -c -o libm.o libm.c
libm.c: In function `fmodf':
libm.c:224: Internal compiler error in subst_stack_regs_pat, at reg-stack.c:1395
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake[1]: *** [libm.o] Error 1
gmake[1]: Leaving directory `/usr/src/a/asmutils-0.14/lib'
make: *** [all] Error 2

Expected Results:  Should have compiled cleanly without internal error.

This is a SMP PII 333mhz box, 256 megs of RAM, running 2.4.3-pre4 kernel, glibc 2.2.2-5.  Let me know if I can give more output and how to 
do it.
Comment 1 Jakub Jelinek 2001-03-19 05:47:48 EST
Please attach here libm.i created by running
gcc -Wall -O1 -m386 -g -c -o libm.o libm.c -save-temps -v
My guess is that fmodf in libm.c has bogus asm constraints. This is something
I've added an error message in gcc-2.96-79 (so that instead of ICEing it
prints out error message and dies with confused by earlier errors, bailing out).
Comment 2 Jakub Jelinek 2001-03-19 10:53:23 EST
*** Bug 32128 has been marked as a duplicate of this bug. ***
Comment 3 Brian Bruns 2001-03-19 13:14:47 EST
Created attachment 13023 [details]
Output of "gcc -Wall -O1 -m386 -g -c -o libm.o libm.c -save-temps -v" command
Comment 4 Jakub Jelinek 2001-03-19 13:21:39 EST
Yes, the constraints are bogus.
gcc-2.96-79 will spit:
In function `fmodf':
Output constraint 0 cannot be specified together with "st" clobber
confused by earlier errors, bailing out

error on this. "=t" means "st", so one really cannot request the asm
to return value in "st" and clobber "st" at the same time, asmutils must be fixed.

Note You need to log in before you can comment on or make changes to this bug.